package com.brframework.commoncms.core.layout.column;

import com.brframework.commoncms.annatotion.column.TagColumn;
import com.brframework.commoncms.core.layout.AbstractPanelLayoutColumn;
import lombok.Data;

import java.lang.reflect.Field;
import java.util.List;

/**
 * Tag控件
 *
 * @author 揭光智
 * @date 2019/04/26
 * @see TagColumn
 */
@Data
public class LayoutTagColumn extends AbstractPanelLayoutColumn {

    private static final String TYPE = "TAG";
    private String key;
    private String title;

    @Override
    public String getType() {
        return TYPE;
    }

    @Override
    public void create(Field columnField) throws Throwable {
        init(columnField);
    }

    @Override
    public List<Class<?>> supportType() {
        return null;
    }
}
